// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	time "time"
)

// TimeSrc is an autogenerated mock type for the TimeSrc type
type TimeSrc struct {
	mock.Mock
}

// Now provides a mock function with given fields:
func (_m *TimeSrc) Now() time.Time {
	ret := _m.Called()

	var r0 time.Time
	if rf, ok := ret.Get(0).(func() time.Time); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(time.Time)
	}

	return r0
}
